Subject: Can you identify these?

From: [email-masked] (Vesa-Matti Sarenius)
Date: 9 Apr 1995 15:05:19 GMT

Hi as you might recall, I collect stamps of butterflies (which in my 
opinion is one of the right ways to collect these beauties, I mean that 
this way their number is not cut down.) and have a problem again. I don't 
know the families and subfamilies of these butterflies (Note: some names 
may be wrong, they are been taken directly from the stamps)

Tanaorhinus unipuncta  (The stamp is from Papua New Guinea)
Rohaniella pygmaea     (   from Uganda)
Neodiphthera sciron    (   from Papua New Guinea)

Not many?

Please, please me with your knowledge...

--
Vesa-Matti Sarenius             *  - Am I a man or what? - A What!* 
[email-masked]           *  - What? - Yes, that's right!   *
Koskitie 47 A6 FIN-90500 OULU   * * * * * * * * * * * * * * hmmmm!*        
Finland, Europe. Tel. +358-81-342236 fax.+358-81-5305045. * * * * *